import 'package:starting_template/domain/entities/integer.dart';
import 'package:wyatt_architecture/wyatt_architecture.dart';

abstract class CounterRepository extends BaseRepository {
  FutureOrResult<Integer> decrement({Integer by = const Integer(1)});
  FutureOrResult<Integer> increment({Integer by = const Integer(1)});
  FutureOrResult<Integer> getCurrent();
  FutureOrResult<Integer> reset();
}
